Subject: bug#19468: 25.0.50; UI inconveniences with M-.

From: Dmitry Gutov <[email-masked]>
Date: Wed, 29 Apr 2015 00:33:13 +0300

On 04/28/2015 05:55 PM, Eli Zaretskii wrote:

> You could have the few "best matches" listed separately in the
> beginning of the list, followed by the grouping shown today.

What's "best matches"? I suggested using `tag-exact-match-p' in the 
etags backend. What's your take on this?

>> - Should xref always try to preserve the order in which xrefs are returned?
>
> No!  This would make the UI even more dependent on the back-ends.

Without using the order, in which matches are returned by the backend, 
we can't even know what the "best matches" are.

What about the rest of the predicates in `find-tag-tag-order' set by 
`etags-recognize-tags-table'? Should we disregard all of them?